Package: groovy.sql

## [Java] Interface InParameter

- A typed parameter to pass to a query

  Authors:
    rfuller

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getType()` The JDBC data type.
    `` | `Object` | `getValue()` The object holding the data value.

- - ### Method Detail

    - #### public int getType()

      The JDBC data type.

      Returns:
        the type

    - #### public Object getValue()

      The object holding the data value.

      Returns:
        the value